> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unban IPs (multiple)

> Use the Bright Data Proxy Manager API to unban IPs (multiple). Endpoint: POST /api/proxies/{PORT}/unbanips on port 22999.

**API endpoint:** `POST` `/api/proxies/{PORT}/unbanips`

## Path Parameter

<ParamField path="PORT" type="string" required>
  Existing proxy port number
</ParamField>

<RequestExample>
  ```sh Shell theme={null}
  curl "http://127.0.0.1:22999/api/proxies/{PORT}/unbanips"
  ```

  ```js NodeJS theme={null}
  #!/usr/bin/env node

  require('request-promise')({
      method: 'POST',
      url: 'http://127.0.0.1:22999/api/proxies/{PORT}/unbanips'
  }).then(function(data){ console.log(data);},

  function(err){ console.error(err); });
  ```

  ```java Java theme={null}
  package example;


  import org.apache.http.HttpHost;
  import org.apache.http.client.fluent.*;


  public class Example {
      public static void main(String[] args) throws Exception {
          String res = Executor.newInstance().execute(
              Request.Post("http://127.0.0.1:22999/api/proxies/{PORT}/unbanips"
          )).returnContent().asString();

          System.out.println(res)
      }
  }
  ```

  ```cs C# theme={null}
  using System;
  using System.Net;
  using System.Net.Http;
  using System.Net.Http.Headers;
   

  public class Program {
    public static async Task Main() {
      var client = new HttpClient();
      var requestMessage = new HttpRequestMessage {
        Method = HttpMethod.Post,
       RequestUri = new Uri("http://127.0.0.1:22999/api/proxies/{PORT}/unbanips")
      };

      var response = await client.SendAsync(requestMessage);
      var responseString = await response.Content.ReadAsStringAsync();

      Console.WriteLine(responseString);
    }
  }
  ```

  ```python Python theme={null}
  #!/usr/bin/env python

  print('If you get error "ImportError: No module named requests", please install it:\n$ sudo pip install requests');

  import requests

  r = requests.post('http://127.0.0.1:22999/api/proxies/{PORT}/unbanips')

  print(r.content)
  ```
</RequestExample>
